Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class AddressImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.contact.AddressImpl

public class AddressImpl
extends BelongingImpl
implements Address

The Address represents a standard postal location. It is intended to be used for the purposes of billing, shipping or marketing.

See Also:
  `Address`, `AddressHome`, Serialized Form

Field Summary
`java.lang.String` | `city` city [Address] <*>------> [`String`]
`java.lang.String` | `country` country [Address] <*>------> [`String`]
`java.lang.String` | `description` description [Address] <*>------> [`String`]
`java.lang.String` | `poBox` poBox [Address] <*>------> [`String`]
`PostalCode` | `postalCode` postalCode [Address] <*>------> [`theory.smart.axiom.contact.PostalCode`]
`java.lang.String` | `state` state [Address] <*>------> [`String`]
`java.lang.String` | `street` street [Address] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`AddressImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getCity()` Get the value of city
`java.lang.String` | `getCountry()` Get the value of country
`java.lang.String` | `getDescription()` Get the value of description
`java.lang.String` | `getPoBox()` Get the value of poBox
`PostalCode` | `getPostalCode()` Get the value of postalCode
`java.lang.String` | `getState()` Get the value of state
`java.lang.String` | `getStreet()` Get the value of street
`void` | `setCity(java.lang.String city)` Set the value of city
`void` | `setCountry(java.lang.String country)` Set the value of country
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setPoBox(java.lang.String poBox)` Set the value of poBox
`void` | `setPostalCode(PostalCode postalCode)` Set the value of postalCode
`void` | `setState(java.lang.String state)` Set the value of state
`void` | `setStreet(java.lang.String street)` Set the value of street
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### street

    public java.lang.String street

                        street
       [Address] <*>------> [String]

### city

    public java.lang.String city

                        city
       [Address] <*>------> [String]

### state

    public java.lang.String state

                        state
       [Address] <*>------> [String]

### country

    public java.lang.String country

                        country
       [Address] <*>------> [String]

### poBox

    public java.lang.String poBox

                        poBox
       [Address] <*>------> [String]

### description

    public java.lang.String description

                        description
       [Address] <*>------> [String]

### postalCode

    public PostalCode postalCode

                        postalCode
       [Address] <*>------> [theory.smart.axiom.contact.PostalCode]

Constructor Detail

### AddressImpl

    public AddressImpl()

Method Detail

### getStreet

    public java.lang.String getStreet()

  Get the value of street
  Specified by:
    getStreet in interface Address
  Returns:
    street.

### setStreet

    public void setStreet(java.lang.String street)

  Set the value of street
  Specified by:
    setStreet in interface Address
  Parameters:
    `street` - street to be added

### getCity

    public java.lang.String getCity()

  Get the value of city
  Specified by:
    getCity in interface Address
  Returns:
    city.

### setCity

    public void setCity(java.lang.String city)

  Set the value of city
  Specified by:
    setCity in interface Address
  Parameters:
    `city` - city to be added

### getState

    public java.lang.String getState()

  Get the value of state
  Specified by:
    getState in interface Address
  Returns:
    state.

### setState

    public void setState(java.lang.String state)

  Set the value of state
  Specified by:
    setState in interface Address
  Parameters:
    `state` - state to be added

### getCountry

    public java.lang.String getCountry()

  Get the value of country
  Specified by:
    getCountry in interface Address
  Returns:
    country.

### setCountry

    public void setCountry(java.lang.String country)

  Set the value of country
  Specified by:
    setCountry in interface Address
  Parameters:
    `country` - country to be added

### getPoBox

    public java.lang.String getPoBox()

  Get the value of poBox
  Specified by:
    getPoBox in interface Address
  Returns:
    poBox.

### setPoBox

    public void setPoBox(java.lang.String poBox)

  Set the value of poBox
  Specified by:
    setPoBox in interface Address
  Parameters:
    `poBox` - poBox to be added

### getDescription

    public java.lang.String getDescription()

  Get the value of description
  Specified by:
    getDescription in interface Address
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the value of description
  Specified by:
    setDescription in interface Address
  Parameters:
    `description` - description to be added

### getPostalCode

    public PostalCode getPostalCode()

  Get the value of postalCode
  Specified by:
    getPostalCode in interface Address
  Returns:
    postalCode.

### setPostalCode

    public void setPostalCode(PostalCode postalCode)

  Set the value of postalCode
  Specified by:
    setPostalCode in interface Address
  Parameters:
    `postalCode` - postalCode to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.